#10 kernel panic

closed
None
8
2007-08-25
2007-06-14
Martin
No

My OSX 10.4.9 on my MacBookPro2.2 crashes very often, since I used my pl2303 with this driver. I used the serial port with a ruby sript, that I interrupt sometimes. I think it closes the file discriptor not correctly in this case. I changed the Script yesterday to make sure this will never happen again but this behavior must be fixed anyway.

Then I recognice something went wrong with the serial port, nothing works or I get contiunsly Data that looks like a buffer overflow because i see old transmitted data, I now then I yet unplug the device I usally get a kernel panic. Sometimes not and sometimes even without unplugging.

I´m running a VMWare Fusion but I don´t use the device in the vmware.

So please help. If the closing of the filediscriptor helps I comment it here.

These is my panic.log.

Wed May 30 21:23:35 2007
panic(cpu 1 caller 0x00136744): stack_alloc: kernel_memory_allocate
Backtrace, Format - Frame : Return Address (4 potential args on stack)
0x1e8ebb58 : 0x128d08 (0x3cb134 0x1e8ebb7c 0x131de5 0x0)
0x1e8ebb98 : 0x136744 (0x3cbac4 0x1e8ebbcc 0x4000 0x7fff)
0x1e8ebbd8 : 0x13b9a8 (0x696a6ac 0x202 0x1e8ebc08 0x3be101)
0x1e8ebc08 : 0x13b9fb (0x38d168 0x5 0xffffffff 0x1e8ebc2c)
0x1e8ebc38 : 0x13bacc (0x38d168 0x5 0xffffffff 0x1e8ebc7c)
0x1e8ebc58 : 0x37fab7 (0x38d168 0x5 0x1e8ebc7c 0x3be8a2)
0x1e8ebc88 : 0x38d38c (0x38d168 0x5 0x1 0x0)
0x1e8ebce8 : 0x38e20e (0x69c4400 0x4 0x0 0xffffffff)
0x1e8ebd28 : 0x38e249 (0x69c4400 0x4 0x69c4404 0x69c4400)
0x1e8ebd48 : 0x31525996 (0x69c4400 0x0 0x0 0x1a3010)
0x1e8ebd68 : 0x3b19ee (0x69c4400 0x4ae69c 0x1e8ebdb8 0x197fe1)
0x1e8ebd88 : 0x1885ec (0x69c4400 0x2eaa910 0x1e8ebda8 0x19e23a)
0x1e8ebdb8 : 0x12b4c3 (0x5ddb9b4 0x452e1a8 0x0 0x0)
0x1e8ebdf8 : 0x124b17 (0x5ddb900 0x0 0x18 0x1e8ebedc)
0x1e8ebf08 : 0x195a42 (0x1e8ebf44 0x0 0x0 0x0)
0x1e8ebfc8 : 0x19b21e (0x67fbc40 0x0 0x19e0b5 0x67fbc40) Backtrace continues...
Kernel loadable modules in backtrace (with dependencies):
com.apple.iokit.IOUSBUserClient(2.7.0)@0x31523000
dependency: com.apple.iokit.IOUSBFamily(2.6.5)@0x2a872000

Kernel version:
Darwin Kernel Version 8.9.1: Thu Feb 22 20:55:00 PST 2007; root:xnu-792.18.15~1/RELEASE_I386

*********

Fri Jun 8 03:20:50 2007
panic(cpu 0 caller 0x001A429B): Unresolved kernel trap (CPU 0, Type 14=page fault), registers:
CR0: 0x8001003b, CR2: 0x08566000, CR3: 0x00e05000, CR4: 0x000006e0
EAX: 0x042b3000, EBX: 0x03721d00, ECX: 0xe0000010, EDX: 0x043be0c0
CR2: 0x08566000, EBP: 0x13ee3ce8, ESI: 0x03721d00, EDI: 0x13ee3e6c
EFL: 0x00210206, EIP: 0x02015790, CS: 0x00000008, DS: 0x02940010

Backtrace, Format - Frame : Return Address (4 potential args on stack)
0x13ee3ac8 : 0x128d08 (0x3cb134 0x13ee3aec 0x131de5 0x0)
0x13ee3b08 : 0x1a429b (0x3d0e4c 0x0 0xe 0x3d0670)
0x13ee3c18 : 0x19ada4 (0x13ee3c30 0x2729300 0x13ee3ca8 0x911221)
0x13ee3ce8 : 0x2bbad5bc (0x3721d00 0x1 0x13ee3d58 0x1416ad)
0x13ee3d08 : 0x2bbaf155 (0x3721d00 0x0 0x13ee3d38 0x3bd3b6)
0x13ee3d38 : 0x388bce (0x3721d00 0xe0000010 0x35bdd00 0x5)
0x13ee3d78 : 0x388e29 (0x35bdd00 0xe0000010 0x3721d00 0x5)
0x13ee3da8 : 0x385517 (0x3721d00 0x13ee3e6c 0x4c217c4 0x4c217c0)
0x13ee3de8 : 0x388b89 (0x35bdd00 0x388df6 0x13ee3e6c 0x255fcc0)
0x13ee3e08 : 0x388ddf (0x35bdd00 0x388df6 0x13ee3e6c 0x28c42c0)
0x13ee3e48 : 0x388e7e (0x35bdd00 0x2584440 0x388df6 0x13ee3e6c)
0x13ee3e88 : 0x389468 (0x35bdd00 0xe0000010 0x5 0x0)
0x13ee3ed8 : 0x39955b (0x35bdd00 0x5 0x0 0x0)
0x13ee3f08 : 0x3892ac (0x26ccd40 0x389436 0x35bdd00 0x5)
0x13ee3f58 : 0x38ce16 (0x0 0x0 0x0 0x0)
0x13ee3fa8 : 0x38d189 (0x5 0x38d168 0x5 0x4b9000) Backtrace continues...
Kernel loadable modules in backtrace (with dependencies):
nl.bjaelectronics.driver.PL2303(1.0.0d1)@0x2bbac000
dependency: com.apple.iokit.IOUSBFamily(2.6.5)@0x532000
dependency: com.apple.iokit.IOSerialFamily(9.0.0d30)@0x590000

Kernel version:
Darwin Kernel Version 8.9.1: Thu Feb 22 20:55:00 PST 2007; root:xnu-792.18.15~1/RELEASE_I386

*********

Sat Jun 9 00:29:48 2007
panic(cpu 1 caller 0x001A429B): Unresolved kernel trap (CPU 1, Type 14=page fault), registers:
CR0: 0x8001003b, CR2: 0x00000000, CR3: 0x00e05000, CR4: 0x000006e0
EAX: 0x04aa5e80, EBX: 0x040e4600, ECX: 0xe0000010, EDX: 0x047880c0
CR2: 0x00000000, EBP: 0x1413bce8, ESI: 0x040e4600, EDI: 0x1413be6c
EFL: 0x00010206, EIP: 0x00000000, CS: 0x00000008, DS: 0x00000010

Backtrace, Format - Frame : Return Address (4 potential args on stack)
0x1413bac8 : 0x128d08 (0x3cb134 0x1413baec 0x131de5 0x0)
0x1413bb08 : 0x1a429b (0x3d0e4c 0x1 0xe 0x3d0670)
0x1413bc18 : 0x19ada4 (0x1413bc30 0x1413be6c 0x443a980 0x1413bca8)
0x1413bce8 : 0x3702b5bc (0x40e4600 0x1 0x1413bd58 0x1416ad)
0x1413bd08 : 0x3702d155 (0x40e4600 0x0 0x1413bd38 0x3bd3b6)
0x1413bd38 : 0x388bce (0x40e4600 0xe0000010 0x392f300 0x5)
0x1413bd78 : 0x388e29 (0x392f300 0xe0000010 0x40e4600 0x5)
0x1413bda8 : 0x385517 (0x40e4600 0x1413be6c 0x443a984 0x443a980)
0x1413bde8 : 0x388b89 (0x392f300 0x388df6 0x1413be6c 0x255fcc0)
0x1413be08 : 0x388ddf (0x392f300 0x388df6 0x1413be6c 0x4623d00)
0x1413be48 : 0x388e7e (0x392f300 0x2584440 0x388df6 0x1413be6c)
0x1413be88 : 0x389468 (0x392f300 0xe0000010 0x5 0x0)
0x1413bed8 : 0x39955b (0x392f300 0x5 0x0 0x0)
0x1413bf08 : 0x3892ac (0x26a1c00 0x389436 0x392f300 0x5)
0x1413bf58 : 0x38ce16 (0x0 0x0 0x0 0x0)
0x1413bfa8 : 0x38d189 (0x5 0x38d168 0x5 0x241d7000) Backtrace continues...
Kernel loadable modules in backtrace (with dependencies):
nl.bjaelectronics.driver.PL2303(1.0.0d1)@0x3702a000
dependency: com.apple.iokit.IOUSBFamily(2.6.5)@0x532000
dependency: com.apple.iokit.IOSerialFamily(9.0.0d30)@0x37021000

Kernel version:
Darwin Kernel Version 8.9.1: Thu Feb 22 20:55:00 PST 2007; root:xnu-792.18.15~1/RELEASE_I386

*********

Sun Jun 10 00:46:09 2007
panic(cpu 0 caller 0x001A429B): Unresolved kernel trap (CPU 0, Type 14=page fault), registers:
CR0: 0x8001003b, CR2: 0x00000000, CR3: 0x00e07000, CR4: 0x000006e0
EAX: 0x00001413, EBX: 0x049daa00, ECX: 0x00000000, EDX: 0x048e2fc0
CR2: 0x00000000, EBP: 0x15023ce8, ESI: 0x049daa00, EDI: 0x15023e6c
EFL: 0x00010206, EIP: 0x00000000, CS: 0x00000008, DS: 0x03740010

Backtrace, Format - Frame : Return Address (4 potential args on stack)
0x15023ac8 : 0x128d08 (0x3cb134 0x15023aec 0x131de5 0x0)
0x15023b08 : 0x1a429b (0x3d0e4c 0x0 0xe 0x3d0670)
0x15023c18 : 0x19ada4 (0x15023c30 0x0 0x15023c68 0x199ef1)
0x15023ce8 : 0x9515bc (0x49daa00 0x1 0x15023d58 0x1416ad)
0x15023d08 : 0x953155 (0x49daa00 0x0 0x15023d38 0x3bd3b6)
0x15023d38 : 0x388bce (0x49daa00 0xe0000010 0x3b9de00 0x5)
0x15023d78 : 0x388e29 (0x3b9de00 0xe0000010 0x49daa00 0x5)
0x15023da8 : 0x385517 (0x49daa00 0x15023e6c 0x43af9c4 0x43af9c0)
0x15023de8 : 0x388b89 (0x3b9de00 0x388df6 0x15023e6c 0x2561cc0)
0x15023e08 : 0x388ddf (0x3b9de00 0x388df6 0x15023e6c 0x44b4cc0)
0x15023e48 : 0x388e7e (0x3b9de00 0x2586440 0x388df6 0x15023e6c)
0x15023e88 : 0x389468 (0x3b9de00 0xe0000010 0x5 0x0)
0x15023ed8 : 0x39955b (0x3b9de00 0x5 0x0 0x0)
0x15023f08 : 0x3892ac (0x26a9ec0 0x389436 0x3b9de00 0x5)
0x15023f58 : 0x38ce16 (0x0 0x0 0x0 0x4b9000)
0x15023fa8 : 0x38d189 (0x5 0x38d168 0x5 0x241d9000) Backtrace continues...
Kernel loadable modules in backtrace (with dependencies):
nl.bjaelectronics.driver.PL2303(1.0.0d1)@0x950000
dependency: com.apple.iokit.IOUSBFamily(2.6.5)@0x517000
dependency: com.apple.iokit.IOSerialFamily(9.0.0d30)@0x575000

Kernel version:
Darwin Kernel Version 8.9.1: Thu Feb 22 20:55:00 PST 2007; root:xnu-792.18.15~1/RELEASE_I386

Discussion

  • Martin

    Martin - 2007-06-14
    • summary: kernal panic --> kernel panic
     
  • Martin

    Martin - 2007-06-14
    • priority: 5 --> 8
     
  • B.J. Arnoldus

    B.J. Arnoldus - 2007-08-10
    • assigned_to: nobody --> b_j_arnoldus
    • status: open --> pending
     
  • B.J. Arnoldus

    B.J. Arnoldus - 2007-08-10

    Logged In: YES
    user_id=1427326
    Originator: NO

    I did not have a Intel Mac and VMware Fusion. I can not trace what is the origin of the bug.

     
  • SourceForge Robot

    Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
  • SourceForge Robot

    • status: pending --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks